import { OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { OpenapiViewerService } from './services/openapi-viewer.service';
import { OpenAPIObject, ServerObject } from 'openapi3-ts';
import { TagIndex } from './models/openapi-viewer.model';
export declare class OpenapiViewerComponent implements OnInit, OnChanges, OnDestroy {
    private openApiService;
    /**
     * An already parsed spec. Is allowed to contain $ref.
     */
    spec: OpenAPIObject;
    /**
     * Alternatively an URL to a spec to resolve.
     */
    specUrl: string;
    index: TagIndex[];
    servers: ServerObject[];
    loading: boolean;
    error: any;
    loadErrors: any[];
    private destroy;
    constructor(openApiService: OpenapiViewerService);
    get currentServerUrl(): string;
    ngOnInit(): void;
    switchServer(url: string): void;
    loadSpec(promise: Promise<OpenAPIObject>): Promise<void>;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
}
